<?xml version="1.0" encoding="utf-8"?>
<network-security-config>
    <!-- Standardmäßig nur HTTPS erlauben -->
    <base-config cleartextTrafficPermitted="false">
        <trust-anchors>
            <certificates src="system" />
        </trust-anchors>
    </base-config>

    <!-- Ausnahme für ip-api.com (Geo-Location Service, bietet kein HTTPS) -->
    <domain-config cleartextTrafficPermitted="true">
        <domain includeSubdomains="true">ip-api.com</domain>
    </domain-config>
</network-security-config>
